Package com.verisign.epp.transport.client

## Class EPPPlainClientSocket

- java.lang.Object
- - com.verisign.epp.transport.client.EPPPlainClientSocket

- All Implemented Interfaces:
    `EPPClientCon`
  Direct Known Subclasses:
    `EPPPlainProxyClientSocket`

      public class EPPPlainClientSocket
      extends java.lang.Object
      implements EPPClientCon

  Plain client socket class that can be configured to connect to a server over TCP using the `EPP.ClientSocketName` configuration property. Creating the `EPPPlainClientSocket` using one of the constructors that takes a `EPPSSLContext` parameters will result in an error.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPPlainClientSocket()` | Default constructor that gets the following settings from `EPPEnv`: `hostName` - Defined with the `EPPEnv.getServerName()` method.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closing the connection.
    `protected java.lang.String` | `getClientHostName()` | Gets the client host name to use for the connection.
    `protected int` | `getConTimeout()` | Gets the connection timeout setting.
    `protected java.lang.String` | `getHostName()` | Gets the host name or IP address to connect to.
    `java.io.InputStream` | `getInputStream()` | Gets the input stream of the `Socket` connection.
    `java.io.OutputStream` | `getOutputStream()` | Gets the output stream of the `Socket` connection.
    `protected int` | `getPortNumber()` | Gets the port number to connect to.
    `protected java.net.Socket` | `getSocket()` | Gets the enclosing `Socket` of the connection.
    `void` | `initialize()` | Initializes an connection to the host and port defined by the server name and the server port properties of `EPPEnv`.
    `void` | `initialize​(java.lang.String aHostName, int aPortNumber, EPPSSLContext aSSLContext)` | Initializes a SSL connection to a specific host and port.
    `void` | `initialize​(java.lang.String aHostName, int aPortNumber, java.lang.String aClientHostName, EPPSSLContext aSSLContext)` | Initializes a SSL connection to a specific host and port.
    `protected boolean` | `isConnected()` | Is the connection established?
    `protected void` | `setClientHostName​(java.lang.String aClientHostName)` | Sets the client host name to use for the connection.
    `protected void` | `setConnected​(boolean aIsConnected)` | Sets whether the connection is established.
    `protected void` | `setConTimeout​(int aConTimeout)` | Sets the connection timeout setting.
    `protected void` | `setHostName​(java.lang.String aHostName)` | Sets the host name or IP address to connect to.
    `protected void` | `setInputStream​(java.io.InputStream aInputStream)` | Sets the input stream of the `Socket` connection.
    `protected void` | `setOutputStream​(java.io.OutputStream aOutputStream)` | Sets the output stream of the `Socket` connection.
    `protected void` | `setPortNumber​(int aPortNumber)` | Sets the port number to connect to.
    `protected void` | `setSocket​(java.net.Socket aSocket)` | Sets the `Socket` to use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPPlainClientSocket

          public EPPPlainClientSocket()
                               throws EPPConException

      Default constructor that gets the following settings from `EPPEnv`:
      - `hostName` - Defined with the `EPPEnv.getServerName()` method.
      - `portNumber` - Defined with the `EPPEnv.getServerPort()` method.
      - `conTimeout` - Defined with the `EPPEnv.getConTimeOut()` method.
      - `readTimeout` - Defined with the `EPPEnv.getReadTimeOut()` method.
      - `clientHostName` - Defined with the `EPPEnv.getClientHost()` method.
      Throws:
        `EPPConException` - If there is a problem getting the default connection properties from `EPPEnv`.

  - ### Method Detail

    - #### initialize

          public void initialize()
                          throws EPPConException

      Initializes an connection to the host and port defined by the server name and the server port properties of `EPPEnv`.
      Specified by:
        `initialize` in interface `EPPClientCon`
      Throws:
        `EPPConException` - Error initializing the connection.

    - #### initialize

          public void initialize​(java.lang.String aHostName,
                                 int aPortNumber,
                                 EPPSSLContext aSSLContext)
                          throws EPPConException

      Initializes a SSL connection to a specific host and port. There remainder of the connection settings is derived from the `EPPEnv` properties.
      Specified by:
        `initialize` in interface `EPPClientCon`
      Parameters:
        `aHostName` - Host name or IP address of host to connect to
        `aPortNumber` - Port number to connect to
        `aSSLContext` - If passed it will silently be ignored since SSL is not supported by this class
      Throws:
        `EPPConException` - Error initializing the connection.

    - #### initialize

          public void initialize​(java.lang.String aHostName,
                                 int aPortNumber,
                                 java.lang.String aClientHostName,
                                 EPPSSLContext aSSLContext)
                          throws EPPConException

      Initializes a SSL connection to a specific host and port. There remainder of the connection settings is derived from the `EPPEnv` properties.
      Specified by:
        `initialize` in interface `EPPClientCon`
      Parameters:
        `aHostName` - Host name or IP address of host to connect to
        `aPortNumber` - Port number to connect to
        `aClientHostName` - Host name or IP address to connect from
        `aSSLContext` - If passed it will silently be ignored since SSL is not supported by this class
      Throws:
        `EPPConException` - Error initializing the connection.

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws EPPConException

      Gets the input stream of the `Socket` connection.
      Specified by:
        `getInputStream` in interface `EPPClientCon`
      Returns:
        `InputStream` of the connected `Socket`
      Throws:
        `EPPConException` - Input stream not set

    - #### setInputStream

          protected void setInputStream​(java.io.InputStream aInputStream)

      Sets the input stream of the `Socket` connection. This can only be set by a derived class to support tunneling and other extensions.
      Parameters:
        `aInputStream` - Input stream to set

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()
                                               throws EPPConException

      Gets the output stream of the `Socket` connection.
      Specified by:
        `getOutputStream` in interface `EPPClientCon`
      Returns:
        `OutputStream` of the connected `Socket`
      Throws:
        `EPPConException` - Output stream not set

    - #### setOutputStream

          protected void setOutputStream​(java.io.OutputStream aOutputStream)

      Sets the output stream of the `Socket` connection. This can only be set by a derived class to support tunneling and other extensions.
      Parameters:
        `aOutputStream` - Output stream to set

    - #### getSocket

          protected java.net.Socket getSocket()

      Gets the enclosing `Socket` of the connection.
      Returns:
        Gets the enclosing `Socket` if defined; `null` otherwise.

    - #### setSocket

          protected void setSocket​(java.net.Socket aSocket)

      Sets the `Socket` to use.
      Parameters:
        `aSocket` - `Socket` to use

    - #### getClientHostName

          protected java.lang.String getClientHostName()

      Gets the client host name to use for the connection.
      Returns:
        Client host name if set; `null` otherwise.

    - #### setClientHostName

          protected void setClientHostName​(java.lang.String aClientHostName)

      Sets the client host name to use for the connection.
      Parameters:
        `aClientHostName` - Client host name to use

    - #### getHostName

          protected java.lang.String getHostName()

      Gets the host name or IP address to connect to.
      Returns:
        host name or IP address to connect to

    - #### setHostName

          protected void setHostName​(java.lang.String aHostName)

      Sets the host name or IP address to connect to.
      Parameters:
        `aHostName` - Host name or IP address to connect to

    - #### getPortNumber

          protected int getPortNumber()

      Gets the port number to connect to.
      Returns:
        port number to connect to

    - #### setPortNumber

          protected void setPortNumber​(int aPortNumber)

      Sets the port number to connect to.
      Parameters:
        `aPortNumber` - Port number to connect to

    - #### getConTimeout

          protected int getConTimeout()

      Gets the connection timeout setting.
      Returns:
        connection timeout

    - #### setConTimeout

          protected void setConTimeout​(int aConTimeout)

      Sets the connection timeout setting.
      Parameters:
        `aConTimeout` - connection timeout

    - #### isConnected

          protected boolean isConnected()

      Is the connection established?
      Returns:
        `true` if connected; `false` otherwise.

    - #### setConnected

          protected void setConnected​(boolean aIsConnected)

      Sets whether the connection is established.
      Parameters:
        `aIsConnected` - `true` if connected; `false` otherwise

    - #### close

          public void close()
                     throws EPPConException

      Closing the connection.
      Specified by:
        `close` in interface `EPPClientCon`
      Throws:
        `EPPConException` - Error closing the connection